Loading...
Searching...
No Matches
ARC_Keyboard Struct Reference

`#include <keyboard.h>`

## Data Fields

SDL_Event * | event
ARC_KeyboardState * | keys
ARC_KeyboardState * | released

## Detailed Description

Definition at line 7 of file keyboard.h.

## Field Documentation

## event

SDL_Event* ARC_Keyboard::event

Definition at line 8 of file keyboard.h.

Referenced by ARC_Keyboard_CreateWithInput(), and ARC_Keyboard_Update().

## keys

ARC_KeyboardState* ARC_Keyboard::keys

Definition at line 10 of file keyboard.h.

Referenced by ARC_Keyboard_Destroy(), ARC_Keyboard_GetState(), and ARC_Keyboard_Update().

## released

ARC_KeyboardState* ARC_Keyboard::released

Definition at line 11 of file keyboard.h.

Referenced by ARC_Keyboard_Update().

The documentation for this struct was generated from the following file:

- /home/herbglitch/programs/archeus/arc/packages/input/sdl/keyboard.h